!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2006. All rights reserved.
!---------------------------------------------------------------------

module physics_ps_correction_none_mod
  !
  != 物理過程 表面気圧調整モジュール
  !
  !== 概要
  !
  ! 凝結・蒸発による大気質量の補正モジュールのダミー
  ! このモジュールは実際には何も行わない.
  !
  use type_mod,    only : REKIND, DBKIND, INTKIND, TOKEN, STRING

  implicit none

  private
  public :: physics_ps_correction

contains

  subroutine physics_ps_correction( &
    & xyz_Qvap   , & !(inout)
    & xy_SurfPress, & !(inout)
    & xyr_QvapFlux , & !(in)
    & xyz_DCumulusQvapDt, & !(in)
    & xyr_Press  , &  !(in)
    & DelTimePhy          ) !(in) 

    use type_mod,      only: REKIND, DBKIND, INTKIND, TOKEN, STRING
    use grid_3d_mod,   only: im, jm, km
    use constants_mod, only: EL    ,& ! 水の凝結の潜熱 
         &                   Grav     ! 重力加速度
    use dc_trace,      only: SetDebug, BeginSub, EndSub, DbgMessage, DataDump

    implicit none

    real(DBKIND), intent(inout) :: xyz_Qvap    ( im*jm, km )  ! 比湿 
    real(DBKIND), intent(inout) :: xy_SurfPress   ( im*jm )   !  表面気圧
    real(DBKIND), intent(in) :: xyr_Press   ( im*jm, km+1 ) ! 気圧(半整数)
    real(DBKIND), intent(in) :: xyr_QvapFlux   ( im*jm, km+1 ) ! q フラックス
    real(DBKIND), intent(in) :: xyz_DCumulusQvapDt   ( im*jm, km ) ! q 凝結量
    real(DBKIND), intent(in) :: DelTimePhy                        ! 2Δt

    character(STRING),  parameter:: subname = "physics_ps_correction"

    continue

    ! 開始処理
    call BeginSub(subname)

    ! 終了処理
    call EndSub(subname)

  end subroutine physics_ps_correction

end module physics_ps_correction_none_mod
